Bug 478557 - Audacious amidi plugin missing symbol
Audacious amidi plugin missing symbol
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: audacious-plugins (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Ralf Ertzinger
Fedora Extras Quality Assurance
https://www.redhat.com/archives/fedor...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-31 17:10 EST by Jerry James
Modified: 2009-06-26 22:47 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.5.1-6.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-26 22:45:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2008-12-31 17:10:00 EST
Description of problem:
Every time I start audacious, I get the following output in my ~/.xsession-errors file:

Failed to load plugin (/usr/lib64/audacious/Input/amidi-plug.so): /usr/lib64/audacious/Input/amidi-plug.so: undefined symbol: audacious_drct_get_playing

The amidi plugin is not in the list of plugins presented by audacious in Preferences.

Version-Release number of selected component (if applicable):
audacious-plugins-amidi-1.5.1-2.fc10.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Start audacious
2. Examine ~/.xsession-errors and the list of plugins shown by audacious
  
Actual results:
The error message above is given and the plugin is not available.

Expected results:
The plugin should be available.

Additional info:
Comment 1 Michael Schwendt 2009-01-10 17:57:20 EST
Including <audacious/plugin.h> in /src/amidi-plug/i_configure.c makes this go away.
Comment 2 Fedora Update System 2009-05-01 13:58:39 EDT
audacious-plugins-1.5.1-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/audacious-plugins-1.5.1-4.fc11
Comment 3 Fedora Update System 2009-05-09 00:16:37 EDT
audacious-plugins-1.5.1-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audacious-plugins'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4556
Comment 4 Fedora Update System 2009-06-05 08:03:23 EDT
audacious-plugins-1.5.1-6.fc11,audacious-1.5.1-9.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/audacious-plugins-1.5.1-6.fc11,audacious-1.5.1-9.fc11
Comment 5 Fedora Update System 2009-06-05 08:11:02 EDT
audacious-plugins-1.5.1-6.fc10,audacious-1.5.1-9.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/audacious-plugins-1.5.1-6.fc10,audacious-1.5.1-9.fc10
Comment 6 Fedora Update System 2009-06-15 22:38:16 EDT
audacious-plugins-1.5.1-6.fc11, audacious-1.5.1-9.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audacious-plugins audacious'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6438
Comment 7 Fedora Update System 2009-06-15 22:45:47 EDT
audacious-plugins-1.5.1-6.fc10, audacious-1.5.1-9.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audacious-plugins audacious'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6490
Comment 8 Fedora Update System 2009-06-26 22:44:55 EDT
audacious-plugins-1.5.1-6.fc11, audacious-1.5.1-9.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-06-26 22:47:07 EDT
audacious-plugins-1.5.1-6.fc10, audacious-1.5.1-9.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.